Defines

# udp.cpp File Reference

Basic functions to receive and send UDP packets. More...

`#include "../../stdafx.h"`
`#include "../../date_func.h"`
`#include "../../debug.h"`
`#include "udp.h"`

Go to the source code of this file.

## Defines
#define | UDP_COMMAND(type) case type: this->NetworkPacketReceive_ ## type ## _command(p, client_addr); break;
| Defines a simple (switch) case for each network packet.

## Detailed Description

Basic functions to receive and send UDP packets.

Definition in file udp.cpp.

## Define Documentation

#define UDP_COMMAND | ( |  | type | ) | case type: this->NetworkPacketReceive_ ## type ## _command(p, client_addr); break;

Defines a simple (switch) case for each network packet.

Parameters:

  | type | the packet type to create the case for

Definition at line 289 of file udp.cpp.